Jump to content

1 file

  1. W1TCH Launcher

    Requires installed .NET Core 3.1 to work.
    Please make sure to add antivirus exclusions for the Launcher folder and
    the “DIS2RBED” folder created in C:\Users\(user)\AppData\Roaming\DIS2RBED

    Does not work on virtual or cloud PCs!

    31,671 downloads

    Updated

×
×
  • Create New...